# CALL_DEF_VIEWMAPPING Struct Reference

`#include <InterfaceGraphic_Visual3d.hxx>`

## Data Fields

int | Projection
CALL_DEF_VERTEX | ProjectionReferencePoint
float | ViewPlaneDistance
float | BackPlaneDistance
float | FrontPlaneDistance
struct {
float um
float vm
float uM
float vM
} | WindowLimit
int | IsCustomMatrix
float | ProjectionMatrix [4][4]

## Field Documentation

float CALL_DEF_VIEWMAPPING::BackPlaneDistance

float CALL_DEF_VIEWMAPPING::FrontPlaneDistance

int CALL_DEF_VIEWMAPPING::IsCustomMatrix

int CALL_DEF_VIEWMAPPING::Projection

float CALL_DEF_VIEWMAPPING::ProjectionMatrix[4][4]

CALL_DEF_VERTEX CALL_DEF_VIEWMAPPING::ProjectionReferencePoint

float CALL_DEF_VIEWMAPPING::uM

float CALL_DEF_VIEWMAPPING::um

float CALL_DEF_VIEWMAPPING::ViewPlaneDistance

float CALL_DEF_VIEWMAPPING::vM

float CALL_DEF_VIEWMAPPING::vm

struct { ... } CALL_DEF_VIEWMAPPING::WindowLimit

The documentation for this struct was generated from the following file:

- InterfaceGraphic_Visual3d.hxx